// ===========================================================================
// debug functions
// ===========================================================================

#define DEBUG_LOG "/mtd_ram/Outliner_debug.log"	// debug log filename

// ---------------------------------------------------------------------------

// create debug log entry
void debug(char *text)
{
   FILE *f;
   char s[256];

   sprintf(s, "%s\n", text);
   f = fopen(DEBUG_LOG, "at");
   if (f) { fputs(s, f); fflush(f); fclose(f); }
}

// ---------------------------------------------------------------------------

// helper function generating debug entry, closing handle and returning with error code
int no_symbol(unsigned *handle, char *symbol)
{
   char s[128];
   sprintf(s, "Symbol [%s] not found:", symbol);
   debug(s);
   debug(dlerror());
   if (handle) dlclose(handle);
   return 0;
}

// ---------------------------------------------------------------------------
// end.

